<h1>Welcome to Survey Poodle!</h1>
<h2>Sign up below...</h2>

<form [formGroup]="registerForm">
    <div>
        <label for="username" hidden>Username</label>
        <input type="text" id="username" name ="username" placeholder="Choose your username!" formControlName="username" required minlength="2" maxlength="64" type="email">
    </div>
    <div>
        <label for="password" hidden>Password</label>
        <input type="password" id="password" name="password" placeholder="Type your password" formControlName="password" required minlength="12">
    </div>
    <!-- <div>
        <label for="confirm-password" hidden>Confirm password</label>
        <input type="password" id="confirm-password" name="confirm-password" placeholder="Type your password again" [(ngModel)]="user.password">
    </div> -->
    <br>
    <div *ngIf="username.invalid && (username.dirty || username.touched)">
        <div *ngIf="username.errors.required">
            Username is required!
        </div>
        <div *ngIf="username.errors.minlength">
            The username must be at least 2 characters long. 
        </div>
        <div *ngIf="username.errors.maxlength">
            The username cannot be more than 64 characters long. 
        </div>
        <div *ngIf="username.errors.email">
            The username must be an e-mail address.
        </div>
    </div>
    <div *ngIf="password.invalid && (password.dirty || password.touched)">
        <div *ngIf="password.errors.required">
            You must enter a password!
        </div>
        <div *ngIf="password.errors.minlength">
            The password must be at least 12 characters long. 
        </div>
    </div>
    <br>
    <button type="button" (click)="onSignUpClicked()" [disabled]="isLoading || registerForm.invalid" >Sign Up</button>
    <br>
    <div *ngIf="isLoading">
        <p>Your account is being registered...</p>
    </div>
</form>
<br>
Already have an account? <a routerLink="/login"><button type="button">Login here</button></a>